<!--- Licensed to the Apache Software Foundation (ASF) under one -->
<!--- or more contributor license agreements.  See the NOTICE file -->
<!--- distributed with this work for additional information -->
<!--- regarding copyright ownership.  The ASF licenses this file -->
<!--- to you under the Apache License, Version 2.0 (the -->
<!--- "License"); you may not use this file except in compliance -->
<!--- with the License.  You may obtain a copy of the License at -->

<!---   http://www.apache.org/licenses/LICENSE-2.0 -->

<!--- Unless required by applicable law or agreed to in writing, -->
<!--- software distributed under the License is distributed on an -->
<!--- "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY -->
<!--- KIND, either express or implied.  See the License for the -->
<!--- specific language governing permissions and limitations -->
<!--- under the License. -->

# Gluon Loss API

## Overview

This document lists the loss API in Gluon:

```eval_rst
.. currentmodule:: mxnet.gluon.loss
```

This package includes several commonly used loss functions in neural networks.

```eval_rst
.. autosummary::
    :nosignatures:

    L2Loss
    L1Loss
    SigmoidBinaryCrossEntropyLoss
    SoftmaxCrossEntropyLoss
    KLDivLoss
    HuberLoss
    HingeLoss
    SquaredHingeLoss
    LogisticLoss
    TripletLoss
    CTCLoss
    CosineEmbeddingLoss
    PoissonNLLLoss
```


## API Reference

<script type="text/javascript" src='../../../_static/js/auto_module_index.js'></script>

```eval_rst
.. automodule:: mxnet.gluon.loss
    :members:
```

<script>auto_index("api-reference");</script>
